// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers', 'starter.services',
  'about.controller','tiempo.controller','preferencias.controller','tiempo.service'
  ,'detalle.controller','detalle.service','parada.controller','parada.service'
  ,'parada-detalle.controller','parada-detalle.service','miparada.controller','miparada.service'])

.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
      cordova.plugins.Keyboard.disableScroll(true);

    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleLightContent();
    }
    if(window.plugins && window.plugins.AdMob) {
          var admob_key = "ca-app-pub-9277804530041458/7824744321";
          var admob = window.plugins.AdMob;
          admob.createBannerView( 
              {
                  'publisherId': admob_key,
                  'adSize': admob.AD_SIZE.BANNER,
                  'bannerAtTop': false
              }, 
              function() {
                  admob.requestAd(
                      { 'isTesting': false }, 
                      function() {
                          admob.showAd(true);
                      }, 
                      function() { console.log('failed to request ad'); }
                  );
              }, 
              function() { console.log('failed to create banner view'); }
          );
      }
  });
})

.config(function($stateProvider, $urlRouterProvider) {

  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $stateProvider

  // setup an abstract state for the tabs directive
    .state('tab', {
    url: '/tab',
    abstract: true,
    templateUrl: 'templates/tabs.html'
  })

  // Each tab has its own nav history stack:

  .state('tab.tiempo', {
    url: '/tiempo',
    views: {
      'tab-tiempo': {
        templateUrl: 'templates/tab-tiempo.html',
        controller: 'tiempoCtrl'
      }
    }
  })

  .state('tab.preferencias', {
      url: '/preferencias',
      views: {
        'tab-preferencias': {
          templateUrl: 'templates/tab-preferencias.html',
          controller: 'preferenciasCtrl'
        }
      }
    })

  .state('tab.miparada', {
      url: '/miparada',
      views: {
        'tab-miparada': {
          templateUrl: 'templates/tab-miparada.html',
          controller: 'miparadaCtrl'
        }
      }
    })

  .state('tab.miparada-detalle', {
      url: '/miparada/:ParadaId',
      views: {
        'tab-miparada': {
          templateUrl: 'templates/tab-parada-detalle.html',
          controller: 'paradadetalleCtrl'
        }
      }
    })


.state('tab.parada', {
      url: '/parada',
      views: {
        'tab-parada': {
          templateUrl: 'templates/tab-parada.html',
          controller: 'paradaCtrl'
        }
      }
    })

.state('tab.parada-detalle', {
      url: '/parada/:ParadaId',
      views: {
        'tab-parada': {
          templateUrl: 'templates/tab-parada-detalle.html',
          controller: 'paradadetalleCtrl'
        }
      }
    })

  .state('tab.detalle', {
      url: '/tiempo/:LineaId',
      views: {
        'tab-tiempo': {
          templateUrl: 'templates/tab-tiempo-detalle.html',
          controller: 'detalleCtrl'
        }
      }
    })

  .state('tab.about', {
    url: '/about',
    views: {
      'tab-about': {
        templateUrl: 'templates/tab-about.html',
        controller: 'aboutCtrl'
      }
    }
  });

  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/tab/parada');

});
